Package org.jfree.layouting.input.style

## Class CSSFontFaceRule

- java.lang.Object
- - org.jfree.layouting.input.style.StyleRule
  - - org.jfree.layouting.input.style.CSSDeclarationRule
    - - org.jfree.layouting.input.style.CSSFontFaceRule

-     public class CSSFontFaceRule
      extends CSSDeclarationRule

  Defines a new font by either giving a set of properties which describe the font (so that the system can find a matching local font) or by providing an URL from where to download the font file. For now, this is not implemented. Maybe later - this would add an interesting note to this library.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSFontFaceRule​(StyleSheet parentStyle, StyleRule parentRule)` |

  - ### Method Summary

    - ### Methods inherited from class org.jfree.layouting.input.style.CSSDeclarationRule

      `clear, clone, getImportantValues, getPropertyCSSValue, getPropertyKeysAsArray, getStyleValues, isEmpty, isImportant, removeProperty, setImportant, setPropertyValue, setPropertyValue, setPropertyValueAsString, setPropertyValueAsString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.input.style.StyleRule

      `getParentRule, getParentStyle, getStyleKeyRegistry, isReadOnly, makeReadOnly, setParentRule, setParentStyle`

- - ### Constructor Detail

    - #### CSSFontFaceRule

          public CSSFontFaceRule​(StyleSheet parentStyle,
                                 StyleRule parentRule)